Library working only on >= android 5.0

I know that asking for help in this case should not be completely right but I do not know what else to do.

I'm using this TVDB library and when running on android >= 5.0 everything works fine. If I run it in android < 5.0 it'll crash when calling searchSeries (when creating a TheTVDBApi it does not crash) and the exception says :

Caused by: java.lang.VerifyError: com/omertron/thetvdbapi/tools/TvdbParser at com.omertron.thetvdbapi.TheTVDBApi.searchSeries(TheTVDBApi.java:362)

Do you have any suggestions? The dependencies should be right because it shouldn't work on >=5.0 if it is a dependencies problem. If anyone has ever tried this library and it worked well below android 5.0, let me know!
These are my dependencies:

commons-codec:commons-codec:jar:1.10
commons-dbcp:commons-dbcp:jar:1.4
commons-logging:commons-logging:jar:1.2
commons-pool:commons-pool:jar:1.6
junit:junit:jar:4.12
org.apache.commons:commons-lang3:jar:3.4
org.apache.httpcomponents:httpclient:jar:4.4
org.apache.httpcomponents:httpcore:jar:4.4
org.hamcrest:hamcrest-core:jar:1.3
org.slf4j:slf4j-api:jar:1.7.12
org.slf4j:slf4j-jdk14:jar:1.7.12
org.yamj:api-common:jar:1.4

In the logcat it is also reported this :

VFY: unable to resolve exception class 1918 (Ljavax/xml/ws/WebServiceException;)
VFY: unable to find exception handler at addr 0xc
VFY: rejected Lcom/omertron/thetvdbapi/tools/TvdbParser;.getActors (Ljava/lang/String;Ljava/lang/String;)Ljava/util/List;
VFY: rejecting opcode 0x0d at 0x000c
VFY: rejected Lcom/omertron/thetvdbapi/tools/TvdbParser;.getActors (Ljava/lang/String;Ljava/lang/String;)Ljava/util/List;
Verifier rejected class Lcom/omertron/thetvdbapi/tools/TvdbParser;

This is what I get when calling tvDB.searchSeries(params[0],"en"); below android 5.0 :

W/dalvikvm﹕ VFY: unable to resolve exception class 2025 (Ljavax/xml/ws/WebServiceException;)
W/dalvikvm﹕ VFY: unable to find exception handler at addr 0xc
W/dalvikvm﹕ VFY: rejected Lcom/omertron/thetvdbapi/tools/TvdbParser;.getActors (Ljava/lang/String;Ljava/lang/String;)Ljava/util/List;
W/dalvikvm﹕ VFY: rejecting opcode 0x0d at 0x000c
W/dalvikvm﹕ VFY: rejected Lcom/omertron/thetvdbapi/tools/TvdbParser;.getActors (Ljava/lang/String;Ljava/lang/String;)Ljava/util/List;
W/dalvikvm﹕ Verifier rejected class Lcom/omertron/thetvdbapi/tools/TvdbParser;
W/System.err﹕ java.lang.VerifyError: com/omertron/thetvdbapi/tools/TvdbParser
W/System.err﹕ at com.omertron.thetvdbapi.TheTVDBApi.searchSeries(TheTVDBApi.java:362)
W/System.err﹕ at test.tvdb.dev.com.tvdb_test.SearchFragment$DownloadSeriesData.doInBackground(SearchFragment.java:94)
W/System.err﹕ at test.tvdb.dev.com.tvdb_test.SearchFragment$DownloadSeriesData.doInBackground(SearchFragment.java:77)
W/System.err﹕ at android.os.AsyncTask$2.call(AsyncTask.java:288)
W/System.err﹕ at java.util.concurrent.FutureTask.run(FutureTask.java:237)
W/System.err﹕ at android.os.AsyncTask$SerialExecutor$1.run(AsyncTask.java:231)
W/System.err﹕ at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1112)
W/System.err﹕ at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:587)
W/System.err﹕ at java.lang.Thread.run(Thread.java:841)

As you can see the line of code apparently causing the crash is located in TheTVDBApi library class at the 362nd row which is return TvdbParser.getSeriesList(urlBuilder.toString(), getBannerMirror(this.apiKey)); I don't get why is there a difference in this when running below android 5.0

Category:java Views:1 Time:2018-04-15

Related post

Copyright (C) dskims.com, All Rights Reserved.

processed in 0.206 (s). 11 q(s)